from flask import jsonify
from flask.views import View

from pycs.database.LabelProvider import LabelProvider


class ListLabelProviders(View):
    """
    returns a list of all available label providers
    """
    # pylint: disable=arguments-differ
    methods = ['GET']


    def dispatch_request(self):
        return jsonify(LabelProvider.query.all())
